﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace StatesAndCities
{
    //This class just produces some test data for the grid and the two xamComboEditors.
    public class DataGenerator
    {
        public DataView GetGridData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Data");
            dt.Columns.Add("State", typeof(int));
            dt.Columns.Add("City", typeof(int));

            for (int i = 1; i < 10; i++)
            {
                dt.Rows.Add(new object[] { "Record " + i.ToString(), i, 0});
            }

            return dt.DefaultView;
        }

        public DataView GetStateData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("StateID", typeof(int));
            dt.Columns.Add("StateName");

            for (int i = 1; i < 10; i++)
            {
                dt.Rows.Add(new object[] { i, "State " + i.ToString() });
            }

            return dt.DefaultView;
        }

        public DataView GetCityData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("StateID", typeof(int));
            dt.Columns.Add("CityID", typeof(int));
            dt.Columns.Add("CityName");

            for (int i = 1; i < 50; i++)
            {
                int tempStateID = i%9 + 1;
                dt.Rows.Add(new object[] { tempStateID, i, "City " + i.ToString() + " in State " + tempStateID.ToString() });
            }


            return dt.DefaultView;
        }
    }
}
