﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using System.Data;
using System.ComponentModel;

namespace StatesAndCities
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void xamDataGrid1_EditModeStarting(object sender, Infragistics.Windows.DataPresenter.Events.EditModeStartingEventArgs e)
        {
            if (e.Cell.Field.Name == "City")
            {
                FilterOutCity(e.Cell.Record.Cells["State"].Value);
            }
        }

        private void FilterOutCity(object filterValue)
        {
            //The logic here may depend a bit on the type of collection you use for binding.
            //This sample uses a simple DataViews for all data sources.

            //Retrieve a reference to the ObjectDataProvider
            ObjectDataProvider cities = this.TryFindResource("filteredCityData") as ObjectDataProvider;

            //Cast the Data property of the object data provider to a DataView
            DataView dv = cities.Data as DataView;

            //Filter the DataView
            dv.RowFilter = "StateID = '" + filterValue + "'";
        }
    }
}
